<?php
class Database {
    private $host = "localhost";
    private $usuario = "wwdsis_acreditacion";
    private $contraseña = "KR9zpsP3nCvb";
    private $nombre_base_de_datos = "wwdsis_acreditacion";
    private $conexion;
    // Método para conectar a la base de datos
    public function conectar() {
        $this->conexion = null;
        try {
            $this->conexion = new PDO("mysql:host=" . $this->host . ";dbname=" . $this->nombre_base_de_datos, $this->usuario, $this->contraseña);
            $this->conexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            $this->conexion->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
        } catch(PDOException $e) {
            echo "Error de conexión: " . $e->getMessage();
        }
        return $this->conexion;
    }
    
    // Método para cerrar la conexión
    public function cerrar() {
        $this->conexion = null;
    }

    // Método para crear un nuevo registro
    public function crearRegistro($tabla, $datos) {
        $campos = implode(', ', array_keys($datos));
        $valores = ':' . implode(', :', array_keys($datos));
        $consulta = "INSERT INTO $tabla ($campos) VALUES ($valores)";
        try {
            $stmt = $this->conexion->prepare($consulta);
            $stmt->execute($datos);
            return true;
        } catch(PDOException $e) {
            echo "Error al crear registro: " . $e->getMessage();
            return false;
        }
    }

    // Método para actualizar un registro
    public function actualizarRegistro($tabla, $datos, $condicion) {
        $actualizaciones = '';
        foreach($datos as $clave => $valor) {
            $actualizaciones .= "$clave=:$clave, ";
        }
        $actualizaciones = rtrim($actualizaciones, ', ');
        $consulta = "UPDATE $tabla SET $actualizaciones WHERE $condicion";
        try {
            $stmt = $this->conexion->prepare($consulta);
            $stmt->execute($datos);
            return true;
        } catch(PDOException $e) {
            echo "Error al actualizar registro: " . $e->getMessage();
            return false;
        }
    }

    // Método para borrar un registro
    public function borrarRegistro($tabla, $condicion) {
        $consulta = "DELETE FROM $tabla WHERE $condicion";
        try {
            $stmt = $this->conexion->prepare($consulta);
            $stmt->execute();
            return true;
        } catch(PDOException $e) {
            echo "Error al borrar registro: " . $e->getMessage();
            return false;
        }
    }

    // Método para leer un registro
    public function leerRegistro($tabla, $condicion) {
        $consulta = "SELECT * FROM $tabla WHERE $condicion";
        try {
            $stmt = $this->conexion->prepare($consulta);
            $stmt->execute();
            $registro = $stmt->fetch();
            return $registro;
        } catch(PDOException $e) {
            echo "Error al leer registro: " . $e->getMessage();
            return false;
        }
    }

    // Método para listar registros
    public function listarRegistros($tabla) {
        $consulta = "SELECT * FROM $tabla";
        try {
            $stmt = $this->conexion->prepare($consulta);
            $stmt->execute();
            $registros = $stmt->fetchAll();
            return $registros;
        } catch(PDOException $e) {
            echo "Error al listar registros: " . $e->getMessage();
            return false;
        }
    }

    // Método para ejecutar un procedimiento almacenado y obtener resultados
    public function ejecutarProcedimiento($procedimiento, $parametros) {
        try {
            $stmt = $this->conexion->prepare("CALL $procedimiento(?)");
            $stmt->execute($parametros);
            $resultados = $stmt->fetchAll();
            return $resultados;
        } catch(PDOException $e) {
            echo "Error al ejecutar procedimiento: " . $e->getMessage();
            return false;
        }
    }
}
?>
