<?php
/**
 * General tab for the settings page.
 *
 * @package Quikblock\Settings
 */

$quikblock_mailchimp_api_key = get_option( 'quikblock_mailchimp_api_key', '' );
?>
<table class="form-table">
	<tbody>
		<tr>
			<th>
				<label for="quikblock-settings[mailchimp-api-key]">
					<?php esc_html_e( 'Mailchimp API Key', 'quikblock' ); ?>
				</label>
			</th>
			<td>
				<input type="text" id="quikblock-settings[mailchimp-api-key]" name="quikblock-settings[mailchimp-api-key]" size="40" value="<?php echo esc_attr( $quikblock_mailchimp_api_key ); ?>" />
				<?php
					$quikblock_mailchimp_api_key_link = sprintf(
						'<p><a href="%1$s" target="_blank" rel="noreferrer noopener">%2$s</a></p>',
						'https://mailchimp.com/help/about-api-keys/',
						esc_html__( 'Find your Mailchimp API key.', 'quikblock' )
					);
					echo wp_kses_post( $quikblock_mailchimp_api_key_link );
					?>
			</td>
		</tr>
	</tbody>
</table>
